## org.apache.axis.wsdl.toJava
Class JavaBeanFaultWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaClassWriter
                  |
                  +--org.apache.axis.wsdl.toJava.JavaBeanWriter
                        |
                        +--org.apache.axis.wsdl.toJava.JavaBeanFaultWriter

All Implemented Interfaces:
  Generator

public class JavaBeanFaultWriter
extends JavaBeanWriter

This is Wsdl2java's Complex Faylt Writer. It generates bean-like class for complexTypes used in a operation fault message.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaBeanWriter
`enableDefaultConstructor, enableEquals, enableFullConstructor, enableGetters, enableHashCode, enableSetters, enableSimpleConstructors, enableToString, helper, names, pw, simpleValueType`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`protected` `JavaBeanFaultWriter(Emitter emitter, TypeEntry type, java.util.Vector elements, TypeEntry extendType, java.util.Vector attributes, JavaWriter helper)` Constructor.

Method Summary
`protected java.lang.String` `getExtendsText()` Returns the appropriate extends text
`protected void` `writeFileFooter(java.io.PrintWriter pw)` Write the Exception serialization code NOTE: This function is written in JavaFaultWriter.java also.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaBeanWriter
`getClassModifiers, getImplementsText, preprocess, writeAccessMethods, writeDefaultConstructor, writeEqualsMethod, writeFileBody, writeFullConstructor, writeHashCodeMethod, writeMemberFields, writeSimpleConstructors, writeToStringMethod`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassName, getClassText, getFileName, getPackage, registerFile, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getPrintWriter, isFileGenerated, verboseMessage, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaBeanFaultWriter

    protected JavaBeanFaultWriter(Emitter emitter,
                                  TypeEntry type,
                                  java.util.Vector elements,
                                  TypeEntry extendType,
                                  java.util.Vector attributes,
                                  JavaWriter helper)

  Constructor.

Parameters:
  `emitter` -
  `type` - The type representing this class
  `elements` - Vector containing the Type and name of each property
  `extendType` - The type representing the extended class (or null)
  `attributes` - Vector containing the attribute types and names
  `helper` - Helper class writer

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns the appropriate extends text

  Overrides:
    `getExtendsText` in class `JavaBeanWriter`
  Returns:
    "" or " extends <class> "

### writeFileFooter

    protected void writeFileFooter(java.io.PrintWriter pw)
                            throws java.io.IOException

  Write the Exception serialization code NOTE: This function is written in JavaFaultWriter.java also.

  Overrides:
    `writeFileFooter` in class `JavaClassWriter`
    `java.io.IOException`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.